Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1195146 - Too many dependencies from Erlang
Summary: Too many dependencies from Erlang
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: erlang
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-23 09:05 UTC by Andrew Colin Kissa
Modified: 2020-11-30 15:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-30 15:06:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Andrew Colin Kissa 2015-02-23 09:05:44 UTC
Description of problem:

rabbitmq-server has Require: erlang >= R12B-3 which pulls in every possible erlang package and it's dependencies including: gtk2, atk, tk, SDL and so on. 


How reproducible:


Steps to Reproduce:
1. yum install rabbitmq-server from epel6

Actual results:

Similar to https://bugzilla.redhat.com/show_bug.cgi?id=1161922


Expected results:

Graphical toolkits should not be installed on a headless server.


Additional info:

Not fixed in EPEL6 - https://bugzilla.redhat.com/show_bug.cgi?id=1161922

Comment 1 Ben Cotton 2020-11-05 16:49:28 UTC
This message is a reminder that EPEL 6 is nearing its end of life. Fedora will stop maintaining and issuing updates for EPEL 6 on 2020-11-30. It is our policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as EOL if it remains open with a 'version' of 'el6'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later EPEL version.

Thank you for reporting this issue and we are sorry that we were not able to fix it before EPEL 6 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora, you are encouraged  change the 'version' to a later Fedora version prior this bug is closed as described in the policy above.

Comment 2 Ben Cotton 2020-11-30 15:06:30 UTC
EPEL el6 changed to end-of-life (EOL) status on 2020-11-30. EPEL el6 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
EPEL please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.